
#ifndef __detect_zero_vel_h__
#define __detect_zero_vel_h__

#define WINDOW_SIZE 60
#define FRONT_MAG 1
#define BACK_MAG  2

#include "main.h"

void detect_zero_vel(int16_t front[3], int16_t back[3], int16_t acc[3], 
    int16_t *front_zero, int16_t *back_zero, int16_t *acc_zero);

void start_cal_step(int16_t front[3], int16_t back[3], int16_t acc[3]);

int32_t get_var_acc(void);

#endif
